Loading...
Searching...
No Matches
peak_detector.h File Reference
`#include <gnuradio/blocks/api.h>`
`#include <gnuradio/sync_block.h>`
`#include <cstdint>`
Include dependency graph for peak_detector.h:

Go to the source code of this file.

## Classes

class | gr::blocks::peak_detector< T >
| Detect the peak of a signal. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Typedefs

typedef peak_detector< float > | gr::blocks::peak_detector_fb
typedef peak_detector< std::int32_t > | gr::blocks::peak_detector_ib
typedef peak_detector< std::int16_t > | gr::blocks::peak_detector_sb